#trigger
execute as @a if score @s night_vision matches 1 run function mech:option/night_vision_off
execute as @a if score @s night_vision matches 2 run function mech:option/night_vision_on
execute as @a if score @s event_ending matches 1 if score @s phase matches 6 run scoreboard players set #event score 6



#players
team join players @a
effect give @a minecraft:saturation 2 0 true
execute if block 3 6 67 minecraft:lever[powered=true] if score #event score matches 0 run effect give @a minecraft:night_vision 11 0 true
execute if block 3 6 67 minecraft:lever[powered=false] if score #event score matches 0 run effect clear @a minecraft:night_vision
execute if score #event score matches 5 run effect give @a minecraft:night_vision 11 0 true
execute unless score #event score matches 0 unless score #event score matches 5 unless score #event score matches 7 run effect clear @a minecraft:night_vision


#protecters
effect give @e[tag=protector] minecraft:invisibility 1 0 true


#captain_chair
effect give @e[tag=captain_chair] minecraft:invisibility 1 0 true


#items
execute as @e[type=minecraft:item] run data merge entity @s {Age:-32768,Health:32767}
execute positioned 1 87 181 as @e[distance=..0.5,type=minecraft:item] at @s run teleport @s ~ 87.1 182.1

execute as @e[type=minecraft:item,nbt={Item:{id:"minecraft:flower_banner_pattern"}}] run data merge entity @s {PickupDelay:0s}

 #ices
execute as @e[type=minecraft:item,nbt={Item:{id:"minecraft:light_blue_dye",Count:1b}}] run tag @s add ice_s
execute as @e[type=minecraft:item,nbt={Item:{id:"minecraft:blue_ice",Count:1b}}] run tag @s add ice_l
execute as @e[tag=ice_s] at @s if block ~-2 65 ~ minecraft:orange_concrete if block 0 ~6 184 minecraft:orange_concrete if block 7 87 196 minecraft:furnace[lit=true] run tag @s add melting
execute as @e[tag=ice_l] at @s if block ~-2 65 ~ minecraft:orange_concrete if block 0 ~6 184 minecraft:orange_concrete if block 7 87 196 minecraft:furnace[lit=true] run tag @s add melting
scoreboard players add @e[tag=melting] time 1

execute at @e[tag=melting,scores={time=180..}] run playsound minecraft:block.fire.extinguish block @a ~ ~ ~ 0.3 2.0 0
execute at @e[tag=melting,scores={time=180..}] run particle minecraft:cloud ~ ~0.2 ~ 0.1 0.1 0.1 0.1 3
execute at @e[tag=melting,tag=ice_l,scores={time=180..}] run summon minecraft:item ~ ~ ~ {Item:{id:"minecraft:tripwire_hook",Count:1b,tag:{display:{Name:"{\"text\":\"§d鍵5\"}",Lore:["{\"text\":\"§7どこかの扉を開けることができる。\"}"]}}}}
kill @e[tag=melting,scores={time=180..}]
execute at @e[tag=melting] run particle minecraft:splash ~ ~0.2 ~ 0.1 0.1 0.1 0.1 1


#item frames
execute as @e[tag=fixed_0] run data merge entity @s {Invulnerable:1b,ItemRotation:0b}
execute as @e[tag=fixed_3] run data merge entity @s {Invulnerable:1b,ItemRotation:3b}
execute as @e[tag=fixed_4] run data merge entity @s {Invulnerable:1b,ItemRotation:4b}
execute as @e[tag=fixed_6] run data merge entity @s {Invulnerable:1b,ItemRotation:6b}
execute as @e[tag=lock_elevator] run data merge entity @s {Invulnerable:1b}
execute if score #phase score matches ..7 as @e[tag=trophy_frame,nbt={Item:{}}] run data merge entity @s {Invulnerable:0b,ItemRotation:0b}
execute if score #phase score matches ..7 as @e[tag=trophy_frame,nbt=!{Item:{}}] run data merge entity @s {Invulnerable:1b,ItemRotation:0b}
execute if score #phase score matches 8.. as @e[tag=trophy_frame] run data merge entity @s {Invulnerable:1b,ItemRotation:0b}
execute as @e[tag=valve] run data merge entity @s {Invulnerable:1b}


#paintings
execute as @e[type=minecraft:painting] run data merge entity @s {Invulnerable:1b}


#eventers
effect give @e[tag=eventer] minecraft:invisibility 1 0 true

execute if score #phase score matches 0..1 at @a[scores={right_clicked=1..}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_home_door] run function mech:eventers/home_door

execute at @a[scores={right_clicked=1..}] positioned ^ ^ ^3 if entity @e[distance=..2,tag=eventer_fh_trophy] run function mech:eventers/fh_trophy

execute at @a[scores={right_clicked=1..}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_203_door] run function mech:eventers/203_door_locked

execute at @a[scores={right_clicked=1..}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_toolbox] run function mech:eventers/toolbox

execute at @a[scores={right_clicked=1..}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_newspaper] run function mech:eventers/newspaper

execute at @a[scores={right_clicked=1..},nbt=!{SelectedItem:{id:"minecraft:iron_shovel"}}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_key1_cover] run function mech:eventers/key1_cover_locked
execute at @a[scores={right_clicked=1..},nbt={SelectedItem:{id:"minecraft:iron_shovel"}}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_key1_cover] run function mech:eventers/key1_cover_unlock

execute at @a[scores={right_clicked=1..},nbt=!{SelectedItem:{id:"minecraft:tripwire_hook",tag:{display:{Name:"{\"text\":\"§d鍵1\"}"}}}}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_cargo_door] run function mech:eventers/cargo_door_locked
execute at @a[scores={right_clicked=1..},nbt={SelectedItem:{id:"minecraft:tripwire_hook",tag:{display:{Name:"{\"text\":\"§d鍵1\"}"}}}}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_cargo_door] run function mech:eventers/cargo_door_unlock

execute at @a[scores={right_clicked=1..},nbt=!{SelectedItem:{id:"minecraft:tripwire_hook",tag:{display:{Name:"{\"text\":\"§d鍵2\"}"}}}}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_dining_door] run function mech:eventers/dining_door_locked
execute at @a[scores={right_clicked=1..},nbt={SelectedItem:{id:"minecraft:tripwire_hook",tag:{display:{Name:"{\"text\":\"§d鍵2\"}"}}}}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_dining_door] run function mech:eventers/dining_door_unlock

execute at @a[scores={right_clicked=1..}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_thermometer] run function mech:eventers/thermometer

execute at @a[scores={right_clicked=1..}] positioned ^ ^ ^3 if entity @e[distance=..2,tag=eventer_elevator] run function mech:eventers/elevator

execute at @a[scores={right_clicked=1..},nbt=!{SelectedItem:{id:"minecraft:tripwire_hook",tag:{display:{Name:"{\"text\":\"§d鍵3\"}"}}}}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_pantry_door] run function mech:eventers/pantry_door_locked
execute at @a[scores={right_clicked=1..},nbt={SelectedItem:{id:"minecraft:tripwire_hook",tag:{display:{Name:"{\"text\":\"§d鍵3\"}"}}}}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_pantry_door] run function mech:eventers/pantry_door_unlock

execute at @a[scores={right_clicked=1..},nbt=!{SelectedItem:{id:"minecraft:tripwire_hook",tag:{display:{Name:"{\"text\":\"§d鍵4\"}"}}}}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_forward_door] run function mech:eventers/forward_door_locked
execute at @a[scores={right_clicked=1..},nbt={SelectedItem:{id:"minecraft:tripwire_hook",tag:{display:{Name:"{\"text\":\"§d鍵4\"}"}}}}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_forward_door] run function mech:eventers/forward_door_unlock

execute at @a[scores={right_clicked=1..},nbt=!{SelectedItem:{id:"minecraft:iron_shovel"}}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_axe_cover] run function mech:eventers/axe_cover_locked
execute at @a[scores={right_clicked=1..},nbt={SelectedItem:{id:"minecraft:iron_shovel"}}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_axe_cover] run function mech:eventers/axe_cover_unlock

execute at @a[scores={right_clicked=1..},nbt=!{SelectedItem:{id:"minecraft:golden_axe"}}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_403_door] run function mech:eventers/403_door_locked
execute at @a[scores={right_clicked=1..},nbt={SelectedItem:{id:"minecraft:golden_axe"}}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_403_door] run function mech:eventers/403_door_unlock

execute at @a[scores={right_clicked=1..},nbt=!{SelectedItem:{id:"minecraft:golden_axe"}}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_404_door] run function mech:eventers/404_door_locked
execute at @a[scores={right_clicked=1..},nbt={SelectedItem:{id:"minecraft:golden_axe"}}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_404_door] run function mech:eventers/404_door_unlock

execute at @a[scores={right_clicked=1..},nbt=!{SelectedItem:{id:"minecraft:tripwire_hook",tag:{display:{Name:"{\"text\":\"§d小さな鍵\"}"}}}}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_safe] run function mech:eventers/safe_locked
execute at @a[scores={right_clicked=1..},nbt={SelectedItem:{id:"minecraft:tripwire_hook",tag:{display:{Name:"{\"text\":\"§d小さな鍵\"}"}}}}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_safe] run function mech:eventers/safe_unlock

execute at @a[scores={right_clicked=1..},nbt=!{SelectedItem:{id:"minecraft:tripwire_hook",tag:{display:{Name:"{\"text\":\"§d鍵5\"}"}}}}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_store_door] run function mech:eventers/store_door_locked
execute at @a[scores={right_clicked=1..},nbt={SelectedItem:{id:"minecraft:tripwire_hook",tag:{display:{Name:"{\"text\":\"§d鍵5\"}"}}}}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_store_door] run function mech:eventers/store_door_unlock

execute at @a[scores={right_clicked=1..},nbt=!{SelectedItem:{id:"minecraft:tripwire_hook",tag:{display:{Name:"{\"text\":\"§d鍵6\"}"}}}}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_bridge_door] run function mech:eventers/bridge_door_locked
execute at @a[scores={right_clicked=1..},nbt={SelectedItem:{id:"minecraft:tripwire_hook",tag:{display:{Name:"{\"text\":\"§d鍵6\"}"}}}}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_bridge_door] run function mech:eventers/bridge_door_unlock

execute at @a[scores={right_clicked=1..}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_compass] run function mech:eventers/compass

execute at @a[scores={right_clicked=1..},nbt=!{SelectedItem:{id:"minecraft:tripwire_hook",tag:{display:{Name:"{\"text\":\"§d古びた鍵\"}"}}}}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_boiler_door] run function mech:eventers/boiler_door_locked
execute at @a[scores={right_clicked=1..},nbt={SelectedItem:{id:"minecraft:tripwire_hook",tag:{display:{Name:"{\"text\":\"§d古びた鍵\"}"}}}}] positioned ^ ^ ^3 if entity @e[distance=..3,tag=eventer_boiler_door] run function mech:eventers/boiler_door_unlock

scoreboard players reset @a right_clicked


#events
execute if score #phase score matches 1 as @a if score @s time_since_rest matches 0 run scoreboard players set #event score 1
execute if score #phase score matches 1 as @a if score @s time_since_rest matches 1.. run scoreboard players set #event score 0
execute if score #phase score matches 1 as @a if score @s time_since_rest matches 1.. run scoreboard players set #event time -1
execute if score #phase score matches 1 as @a if score @s time_since_rest matches 1 run stopsound @a block

execute if score #phase score matches 2 positioned -1 74 150 if entity @a[distance=..0.5] run scoreboard players set #event score 2
execute if score #phase score matches 3 positioned -7 79 186 if entity @a[distance=..1.5] run scoreboard players set #event score 3

execute if score #phase score matches 7 if entity @e[tag=trophy_frame,nbt={Item:{id:"minecraft:flower_banner_pattern",tag:{display:{Name:"{\"text\":\"§6トロフィー\"}"}}}}] run scoreboard players set #event score 7

execute if score #event score matches 1.. run scoreboard players add #event time 1
execute if score #event score matches 1 run function mech:events/opening_tick
execute if score #event score matches 2 run function mech:events/2d_corridor_tick
execute if score #event score matches 3 run function mech:events/3d_corridor_tick
execute if score #event score matches 4 run function mech:events/captains_cabin_tick
execute if score #event score matches 5 run function mech:events/engines_tick
execute if score #event score matches 6 run function mech:events/ending_tick
execute if score #event score matches 7 run function mech:events/trophy_tick


#massages
execute if score #message_dining_room unlocked matches 0 positioned -5 80 186 if entity @a[distance=..0.5] run function mech:messages/dining_room
execute if score #message_dining_room unlocked matches 0 positioned 5 80 186 if entity @a[distance=..0.5] run function mech:messages/dining_room

execute if score #message_game_room unlocked matches 0 positioned -5 80 206 if entity @a[distance=..0.5] run function mech:messages/game_room
execute if score #message_game_room unlocked matches 0 positioned 5 80 206 if entity @a[distance=..0.5] run function mech:messages/game_room

execute if score #message_cargo_compartment unlocked matches 0 positioned 0 74 184 if entity @a[distance=..0.5] run function mech:messages/cargo_compartment

execute if score #message_engine_room unlocked matches 0 positioned 7 68 200 if entity @a[distance=..0.5] run function mech:messages/engine_room

execute if score #message_kitchen unlocked matches 0 positioned -2 86 200 if entity @a[distance=..0.5] run function mech:messages/kitchen

execute if score #message_pantry unlocked matches 0 positioned 2 86 178 if entity @a[distance=..0.5] run function mech:messages/pantry

execute if score #message_radio_room unlocked matches 0 positioned -2 86 150 if entity @a[distance=..0.5] run function mech:messages/radio_room

execute if score #message_chapel unlocked matches 0 positioned -5 80 174 if entity @a[distance=..0.5] run function mech:messages/chapel
execute if score #message_chapel unlocked matches 0 positioned 5 80 174 if entity @a[distance=..0.5] run function mech:messages/chapel

execute if score #message_hall unlocked matches 0 positioned -5 80 154 if entity @a[distance=..0.5] run function mech:messages/hall
execute if score #message_hall unlocked matches 0 positioned 5 80 154 if entity @a[distance=..0.5] run function mech:messages/hall

execute if score #message_store_room unlocked matches 0 positioned -2 86 174 if entity @a[distance=..0.5] run function mech:messages/store_room

execute if score #message_bridge unlocked matches 0 positioned 0 86 144 if entity @a[distance=..0.5] run function mech:messages/bridge

execute if score #message_captains_cabin unlocked matches 0 positioned 2 86 150 if entity @a[distance=..0.5] run function mech:messages/captains_cabin


#collections
execute if score #collection_ticket unlocked matches 0 store success score #collection_ticket unlocked run clear @a minecraft:flower_banner_pattern 0
execute if score #collection_ticket unlocked matches 1 run function mech:collections/ticket
execute if score #collection_newspaper unlocked matches 0 store success score #collection_newspaper unlocked run clear @a minecraft:paper 0
execute if score #collection_newspaper unlocked matches 1 run function mech:collections/newspaper
execute if score #collection_brooch unlocked matches 0 store success score #collection_brooch unlocked run clear @a minecraft:popped_chorus_fruit 0
execute if score #collection_brooch unlocked matches 1 run function mech:collections/brooch
execute if score #collection_poster unlocked matches 0 store success score #collection_poster unlocked run clear @a minecraft:yellow_banner 0
execute if score #collection_poster unlocked matches 1 run function mech:collections/poster
execute if score #collection_photograph unlocked matches 0 store success score #collection_photograph unlocked run clear @a minecraft:painting 0
execute if score #collection_photograph unlocked matches 1 run function mech:collections/photograph
execute if score #collection_stuffed_animal unlocked matches 0 store success score #collection_stuffed_animal unlocked run clear @a minecraft:leather_horse_armor 0
execute if score #collection_stuffed_animal unlocked matches 1 run function mech:collections/stuffed_animal


#option_lever
execute if score #option_lever code1 matches 0 if block 3 6 67 minecraft:lever[powered=true] run function mech:option/night_vision_on
execute if score #option_lever code1 matches 1 if block 3 6 67 minecraft:lever[powered=false] run function mech:option/night_vision_off


#hint lock_carpets
scoreboard players set #hint_carpets score 0
execute if block -6 77 177 minecraft:acacia_trapdoor[open=true] run scoreboard players add #hint_carpets score 1
execute if block -6 77 178 minecraft:acacia_trapdoor[open=true] run scoreboard players add #hint_carpets score 2
execute if block -6 77 179 minecraft:acacia_trapdoor[open=true] run scoreboard players add #hint_carpets score 4

execute if score #hint_carpets score matches 0 run data merge block -6 76 179 {Owner:{Id:"2298cff2-c1a5-4278-a277-8d8661afe1c6",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMGViZTdlNTIxNTE2OWE2OTlhY2M2Y2VmYTdiNzNmZGIxMDhkYjg3YmI2ZGFlMjg0OWZiZTI0NzE0YjI3In19fQ=="}]}}}
execute if score #hint_carpets score matches 1 run data merge block -6 76 179 {Owner:{Id:"00684a88-5cc8-4713-9e91-7b1906e67580",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNzFiYzJiY2ZiMmJkMzc1OWU2YjFlODZmYzdhNzk1ODVlMTEyN2RkMzU3ZmMyMDI4OTNmOWRlMjQxYmM5ZTUzMCJ9fX0="}]}}}
execute if score #hint_carpets score matches 2 run data merge block -6 76 179 {Owner:{Id:"f7218833-aceb-4d3e-a1bc-a334be09c375",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNGNkOWVlZWU4ODM0Njg4ODFkODM4NDhhNDZiZjMwMTI0ODVjMjNmNzU3NTNiOGZiZTg0ODczNDE0MTk4NDcifX19"}]}}}
execute if score #hint_carpets score matches 3 run data merge block -6 76 179 {Owner:{Id:"870c6ce6-78b5-4e09-8745-bd96d616e516",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMWQ0ZWFlMTM5MzM4NjBhNmRmNWU4ZTk1NTY5M2I5NWE4YzNiMTVjMzZiOGI1ODc1MzJhYzA5OTZiYzM3ZTUifX19"}]}}}
execute if score #hint_carpets score matches 4 run data merge block -6 76 179 {Owner:{Id:"d531b607-3d92-4760-b19f-b64d51da0fa5",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvZDJlNzhmYjIyNDI0MjMyZGMyN2I4MWZiY2I0N2ZkMjRjMWFjZjc2MDk4NzUzZjJkOWMyODU5ODI4N2RiNSJ9fX0="}]}}}
execute if score #hint_carpets score matches 5 run data merge block -6 76 179 {Owner:{Id:"4aaa0af9-ffde-4f5a-ad06-112dffbade0c",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNmQ1N2UzYmM4OGE2NTczMGUzMWExNGUzZjQxZTAzOGE1ZWNmMDg5MWE2YzI0MzY0M2I4ZTU0NzZhZTIifX19"}]}}}
execute if score #hint_carpets score matches 6 run data merge block -6 76 179 {Owner:{Id:"58a05887-3473-4c87-8506-2acf877d7ff1",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMzM0YjM2ZGU3ZDY3OWI4YmJjNzI1NDk5YWRhZWYyNGRjNTE4ZjVhZTIzZTcxNjk4MWUxZGNjNmIyNzIwYWIifX19"}]}}}
execute if score #hint_carpets score matches 7 run data merge block -6 76 179 {Owner:{Id:"23378bd2-28e5-4d7e-8d39-621b732e1f49",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNmRiNmViMjVkMWZhYWJlMzBjZjQ0NGRjNjMzYjU4MzI0NzVlMzgwOTZiN2UyNDAyYTNlYzQ3NmRkN2I5In19fQ=="}]}}}
execute if score #hint_carpets score matches 8 run data merge block -6 76 179 {Owner:{Id:"19c144be-a435-42a4-9503-83bcd8a7fa70",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNTkxOTQ5NzNhM2YxN2JkYTk5NzhlZDYyNzMzODM5OTcyMjI3NzRiNDU0Mzg2YzgzMTljMDRmMWY0Zjc0YzJiNSJ9fX0="}]}}}


#lock_carpets
execute if score #lock_articles unlocked matches 0 if score #lock_carpets1 unlocked matches 0 if blocks -7 76 166 -7 76 168 3 74 177 all if blocks -7 76 172 -7 76 174 3 75 177 all if blocks 7 76 166 7 76 168 3 76 177 all if blocks 7 76 172 7 76 174 3 77 177 all run function mech:lock_carpets/1_unlock

execute if score #lock_articles unlocked matches 1 if score #lock_carpets2 unlocked matches 0 if blocks -7 76 166 -7 76 168 4 74 177 all if blocks -7 76 172 -7 76 174 4 75 177 all if blocks 7 76 166 7 76 168 4 76 177 all if blocks 7 76 172 7 76 174 4 77 177 all run function mech:lock_carpets/2_unlock


#lock_elevator
execute if score #lock_elevator unlocked matches 3 run function mech:lock_elevator/check_tick


#elevator
execute if score #elevator score matches 1.. run scoreboard players add #elevator time 1
execute if score #elevator score matches 1 run function mech:elevator/up_tick
execute if score #elevator score matches 2 run function mech:elevator/down_tick


#4d kitchen room
execute positioned 1 88 181 if entity @e[distance=..1,nbt={Item:{id:"minecraft:tripwire_hook",tag:{display:{Name:"{\"text\":\"§d鍵3\"}"}}}}] run setblock -2 84 200 minecraft:redstone_torch
execute positioned 1 88 181 unless entity @e[distance=..1,nbt={Item:{id:"minecraft:tripwire_hook",tag:{display:{Name:"{\"text\":\"§d鍵3\"}"}}}}] run setblock -2 84 200 minecraft:air


#furnace
execute if score #furnace score matches 0 if block 5 86 197 minecraft:lever[powered=true] run function mech:furnace/switch_on
execute if score #furnace score matches 1 if block 5 86 197 minecraft:lever[powered=false] run function mech:furnace/switch_off
execute if score #furnace score matches 1 run particle minecraft:flame 7.0 87 196 0.1 0.2 0.1 0.02 1


#kitchen_lever
execute if block 0 87 182 minecraft:lever[powered=true] run scoreboard players set #kitchen_lever score 0
execute if block 0 87 182 minecraft:lever[powered=true] run scoreboard players set #kitchen_lever time -1
execute if block 0 87 182 minecraft:lever[powered=false] run scoreboard players set #kitchen_lever score 1

execute if score #kitchen_lever score matches 1 run function mech:kitchen_lever/active_tick


#hint transceiver
execute if block 0 70 225 minecraft:lever[powered=true] if block 0 72 226 minecraft:prismarine_bricks run scoreboard players set #hint_transceiver score 1
execute unless block 0 70 225 minecraft:lever[powered=true] if block 0 72 226 minecraft:purpur_block run scoreboard players set #hint_transceiver score 2

execute if score #hint_transceiver score matches 1.. run scoreboard players add #hint_transceiver time 1
execute if score #hint_transceiver score matches 1 run function mech:hint_transceiver/purpur_tick
execute if score #hint_transceiver score matches 2 run function mech:hint_transceiver/prismarine_tick


#transceiver
execute if score #transceiver unlocked matches 0 if blocks -3 87 145 -3 87 145 -2 92 149 all run function mech:transceiver/prismarine_unlock
execute if score #transceiver unlocked matches 0 if blocks -3 87 145 -3 87 145 -2 92 150 all run function mech:transceiver/purpur_unlock
execute if score #transceiver unlocked matches 1 unless blocks -3 87 145 -3 87 145 -2 92 149 all run function mech:transceiver/lock
execute if score #transceiver unlocked matches 2 unless blocks -3 87 145 -3 87 145 -2 92 150 all run function mech:transceiver/lock

execute if score #transceiver unlocked matches 1.. if score #transceiver score matches 1.. run scoreboard players add #transceiver time 1
execute if score #transceiver score matches 1 run function mech:transceiver/prismarine_tick
execute if score #transceiver score matches 2 run function mech:transceiver/purpur_tick


#lock_articles
execute if score #lock_articles unlocked matches 0 unless blocks -7 74 149 -7 74 149 -5 65 155 all run function mech:lock_articles/203
execute if score #lock_articles unlocked matches 0 unless blocks -7 74 157 -7 74 157 -5 65 157 all run function mech:lock_articles/205
execute if score #lock_articles unlocked matches 0 unless blocks 7 74 149 7 74 149 -3 65 155 all run function mech:lock_articles/204
execute if score #lock_articles unlocked matches 0 unless blocks 7 74 157 7 74 157 -3 65 157 all run function mech:lock_articles/206
execute if score #lock_articles unlocked matches 0 if blocks -1 65 155 1 65 157 3 65 155 all run function mech:lock_articles/unlock


#lock_tanks
execute if entity @e[tag=valve_1,nbt=!{ItemRotation:0b}] run function mech:lock_tanks/1_tick
execute if entity @e[tag=valve_2,nbt=!{ItemRotation:0b}] run function mech:lock_tanks/2_tick
execute if entity @e[tag=valve_3,nbt=!{ItemRotation:0b}] run function mech:lock_tanks/3_tick
execute if entity @e[tag=valve_4,nbt=!{ItemRotation:0b}] run function mech:lock_tanks/4_tick
execute if entity @e[tag=valve_reset,nbt=!{ItemRotation:0b}] run function mech:lock_tanks/reset_tick


#lock_statues1
execute if block 0 81 137 minecraft:lever unless block 0 81 137 minecraft:lever[facing=west] run setblock 0 81 137 minecraft:lever[face=floor,facing=west]
execute if score #lock_statues1 score matches 0 if score #lock_statues1 unlocked matches 0..5 if block 0 81 137 minecraft:lever[powered=true] run function mech:lock_statues1/lever_on
execute if score #lock_statues1 score matches 1 if score #lock_statues1 unlocked matches 0..5 if block 0 81 137 minecraft:lever[powered=false] run function mech:lock_statues1/lever_off

execute if score #lock_statues1 unlocked matches 6 run function mech:lock_statues1/unlock_tick


#lock_statues2
execute if score #lock_statues2 unlocked matches 6 run function mech:lock_statues2/check_tick


#lock_sail
execute if score #lock_sail unlocked matches 0 if block -5 87 139 minecraft:white_banner run function mech:lock_sail/active